{% extends 'blog/base.html' %}

{% load static %}

{% block content %}

  <!-- Page Header -->
  <header class="masthead" style="background-image: url('{% static "blog/img/home-bg.jpg" %}')">
    <div class="overlay"></div>
    <div class="container">
      <div class="row">
        <div class="col-lg-8 col-md-10 mx-auto">
          <div class="site-heading myfont">
            <h1 class="myfont">بلاگفا</h1>
            <span class="subheading myfont">بهترین وبلاگ دنیا</span>
          </div>
        </div>
      </div>
    </div>
  </header>

  <!-- Main Content -->
  <div class="container myfont">
    <div class="row">
      <div class="col-lg-8 col-md-10 mx-auto">
        
        {% block top_title %}
          
        {% endblock top_title %}

        {% for article in object_list %}
          <div class="post-preview">
            <a href="{% url 'blog:post_detail' article.slug %}">
              <h2 class="post-title myfont">
                {{ article.title }}
                
                {% if article.is_special %}
                  <span class="badge badge-danger" style="font-size: 16px;">ویژه</span>
                {% endif %}
                  
              </h2>
              <h3 class="post-subtitle myfont">
                {{ article.description|striptags|truncatewords:30 }}
              </h3>
            </a>
            <p class="post-meta">نوشته شده توسط
              <a href="{% url 'blog:author_posts' article.author %}">{{ article.author.get_full_name }}</a>
              در {{ article.jpublish }}</p>
            <div>
              
              {% for category in article.category.active %}
                <a href="{% url 'blog:category_posts' category.slug %}">#{{ category.title }}</a>
              {% endfor %}
                
            </div>
          </div>
          <hr>
        {% endfor %}
          
        <!-- Pager -->
        <div class="clearfix">

          {% if is_paginated %}
            {% if page_obj.has_previous %}
              <a class="btn btn-primary float-right myfont" href="{% block previous_page_url %}{% endblock previous_page_url %}">&rarr; پست‌های جدید</a>
            {% endif %}
            {% if page_obj.has_next %}
              <a class="btn btn-primary float-left myfont" href="{% block next_page_url %}{% endblock next_page_url %}">پست‌های قدیمی &larr;</a>
            {% endif %}
          {% endif %}

        </div>
      </div>
    </div>
  </div>
{% endblock content %}
